Update an Asset by its internal ID

Partially updates an existing asset identified by its internal ID. Only the fields provided in the request body are modified. Returns 204 on success.

Path Params
string
required

The asset's internal ID

Body Params
string

The asset's number

string

The asset type internal ID that this asset belongs to (Provide either this or the assetTypeLabel)

string

The asset type label that this asset belongs to (Provide either this or the assetTypeId)

string

The asset's display name (if not specified the assetTypeLabel is used as display name)

string

The internal ID of this asset's parent (Provide either this or the parentAssetNumber)

string

The asset number of this asset's parent (Provide either this or the parentAssetId)

relatedOrganizationIds
array of strings

The internal IDs of the organizations that will be related to the asset (Provide either this or the relatedOrganizationNumbers).

relatedOrganizationIds
relatedOrganizationNumbers
array of strings

The numbers of the organizations that will be related to the asset (Provide either this or the relatedOrganizationIds).

relatedOrganizationNumbers
assignedPersonId
object | null

The internal ID of the person that will be assigned to the asset (Provide null to unset value)

string

The internal ID of the user group that will be responsible for the asset (Provide either this or the responsibleUserGroupName)

string

The name of the user group that will be responsible for the asset (Provide either this or the responsibleUserGroupId)

relatedContactIds
array of strings

The internal IDs of the contacts that will be related to the asset. The value provided will replace existing relations.

relatedContactIds
location
object

The asset's location

userGroupIds
array of strings

The internal IDs of the user groups that will be related to the asset (Provide either this or the userGroupNames). The value provided will replace existing relations.

userGroupIds
userGroupNames
array of strings

The names of the user groups that will be related to the asset (Provide either this or the userGroupIds). The value provided will replace existing relations.

userGroupNames
customPropertyValues
array of objects
customPropertyValues
string
enum

The asset’s criticality

Allowed:
string | null

The asset’s installation date (Provide null to unset value)

Responses

400

Bad Request

403

Forbidden

404

Not Found

409

Duplicate asset number and assetTypeId

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json